Package org.eclipse.emf.spi.cdo

# Interface CDOPermissionUpdater

All Known Subinterfaces:
  `CDOPermissionUpdater2`, `CDOPermissionUpdater3`

public interface CDOPermissionUpdater
A `pluggable` strategy for updating the permissions of a set of `revisions`.

Since:
  4.3
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOPermissionUpdater`
`SERVER`

## Method Summary

Modifier and Type
Method
Description
`Map<CDORevision,CDOPermission>`
`updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions)`

## Field Details

### SERVER

static final CDOPermissionUpdater SERVER

## Method Details

### updatePermissions

Map<CDORevision,CDOPermission> updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions)